cvm-pgsql(8)

NAME
cvm-pgsql - PgSQL module

SYNOPSIS
cvm-pgsql

CREDENTIALS
Pass phrase

DESCRIPTION
This module queries a PgSQL database for the account name, compares the stored pass phrase with the given one using crypt(3).

CONFIGURATION VARIABLES
The server hostname, port, database, username, password, and additional options can be controlled by setting $PGHOST, $PGPORT, $PGDATABASE, $PGUSER, $PGPASSWORD, and $PGOPTIONS respectively, which are parsed by the PgSQL client library.

CVM_MYSQL_POSTQ (optional)
    The SQL query to execute after the credentials have been validated, see cvm-sql(7).

CVM_PGSQL_PWCMP (optional)
    The password comparison module to use.

CVM_PGSQL_QUERY (optional)
    The SQL query to issue to retrieve the row containing the account information from the database.

SEE ALSO
cvm-sql(7), cvm-mysql(8), cvm-pwfile(8), cvm-qmail(8), cvm-unix(8), cvm-vmailmgr(8), cvm-benchclient(8), cvm-checkpassword(8), cvm-testclient(8)

 http://untroubled.org/pwcmp/pwcmp.html
 http://untroubled.org/cvm/cvm.html